## ros-humble-generate-parameter-library-example 0.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(generate_parameter_library_example)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
    add_compile_options(-Wall -Wextra -Wpedantic -Wshadow -Wconversion -Wsign-conversion -Wold-style-cast)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(generate_parameter_library REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclpy REQUIRED)

generate_parameter_library(admittance_controller_parameters
  src/parameters.yaml
  include/generate_parameter_library_example/example_validators.hpp
)

add_library(minimal_publisher SHARED
  src/minimal_publisher.cpp
)
target_include_directories(minimal_publisher PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/generate_parameter_library_example>
)
target_link_libraries(minimal_publisher
  PUBLIC
    admittance_controller_parameters
    rclcpp::rclcpp
    rclcpp_components::component
)
rclcpp_components_register_node(minimal_publisher
  PLUGIN "admittance_controller::MinimalPublisher"
  EXECUTABLE test_node
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cpplint_FOUND TRUE) # Conflicts with clang-foramt
  set(ament_cmake_flake8_FOUND TRUE) # Conflicts with black
  set(ament_cmake_uncrustify_FOUND TRUE) # Conflicts with clang-format
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  # example_test_gtest
  add_rostest_with_parameters_gtest(test_example_gtest test/example_test_gtest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/example_params.yaml)
  target_include_directories(test_example_gtest PRIVATE include)
  target_link_libraries(test_example_gtest admittance_controller_parameters rclcpp::rclcpp)
  # descriptor_test_gtest
  add_rostest_with_parameters_gtest(test_descriptor_gtest test/descriptor_test_gtest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/example_params.yaml)
  target_include_directories(test_descriptor_gtest PRIVATE include)
  target_link_libraries(test_descriptor_gtest admittance_controller_parameters rclcpp::rclcpp)

  find_package(ament_cmake_gmock REQUIRED)
  add_rostest_with_parameters_gmock(test_example_gmock test/example_test_gmock.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/example_params.yaml)
  target_include_directories(test_example_gmock PRIVATE include)
  target_link_libraries(test_example_gmock admittance_controller_parameters rclcpp::rclcpp)
endif()

install(
  DIRECTORY include/
  DESTINATION include/generate_parameter_library_example
)

install(TARGETS minimal_publisher admittance_controller_parameters
  EXPORT export_generate_parameter_library_example
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  TARGETS test_node
  DESTINATION lib/generate_parameter_library_example
)

ament_export_targets(export_generate_parameter_library_example HAS_LIBRARY_TARGET)
ament_export_dependencies(rclcpp rclcpp_components)
ament_package()

=== debian/changelog ===
ros-humble-generate-parameter-library-example (0.3.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 31 Jul 2023 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.5-1jammy) jammy; urgency=high

  * Remove documentation of deprecated validator functions (#135 <https://github.com/PickNikRobotics/generate_parameter_library/issues/135>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Jul 2023 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.4-1jammy) jammy; urgency=high

  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 24 Jul 2023 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 13 Apr 2023 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.2-1jammy) jammy; urgency=high

  * Populate Range Constraints in Parameter Descriptors from Validation Functions (#103 <https://github.com/PickNikRobotics/generate_parameter_library/issues/103>)
  * Mark deprecated rsl method and propose alternative in the docs. (#102 <https://github.com/PickNikRobotics/generate_parameter_library/issues/102>)
  * Contributors: Chance Cardona, Dr. Denis

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.1-1jammy) jammy; urgency=high

  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 01 Feb 2023 07:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.0-1jammy) jammy; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 15 Nov 2022 07:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.8-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 03 Nov 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.7-1jammy) jammy; urgency=high

  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Oct 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 28 Sep 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.5-1jammy) jammy; urgency=high

  * 🈵 Support use of '_' in mapped parameters. (#68 <https://github.com/PickNikRobotics/generate_parameter_library/issues/68>)
  * Component node example (#60 <https://github.com/PickNikRobotics/generate_parameter_library/issues/60>)
  * Update README for example (#63 <https://github.com/PickNikRobotics/generate_parameter_library/issues/63>)
  * 🚀 Add cmake macros for using tests with example yaml files. 🤖 (#57 <https://github.com/PickNikRobotics/generate_parameter_library/issues/57>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Fix example parameters (#54 <https://github.com/PickNikRobotics/generate_parameter_library/issues/54>)
  * Contributors: Denis Štogl, Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 20 Sep 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.4-1jammy) jammy; urgency=high

  * INTEGER type (#53 <https://github.com/PickNikRobotics/generate_parameter_library/issues/53>)
  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 19 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 05 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.2-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 03 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.1-1jammy) jammy; urgency=high

  * Fix scientific notation (#46 <https://github.com/PickNikRobotics/generate_parameter_library/issues/46>)
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.0-1jammy) jammy; urgency=high

  * Create stack allocated struct (#45 <https://github.com/PickNikRobotics/generate_parameter_library/issues/45>)
  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Fixed size string no default bug (#43 <https://github.com/PickNikRobotics/generate_parameter_library/issues/43>)
  * static OK to fix ODR errors (#41 <https://github.com/PickNikRobotics/generate_parameter_library/issues/41>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * parameter validators interface library (#32 <https://github.com/PickNikRobotics/generate_parameter_library/issues/32>)
  * Validate fixed length Strings (#33 <https://github.com/PickNikRobotics/generate_parameter_library/issues/33>)
  * Fixed size strings (#29 <https://github.com/PickNikRobotics/generate_parameter_library/issues/29>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library-example (0.1.0-1jammy) jammy; urgency=high

  * Example usage of generate_parameter_library.
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 27 Jul 2022 06:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-generate-parameter-library-example//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-generate-parameter-library-example 0.3.8

=== debian/changelog ===
ros-humble-generate-parameter-library-example (0.3.8-3bookworm) bookworm; urgency=high

  * Restore functionality for mapped params with no struct name (#185 <https://github.com/PickNikRobotics/generate_parameter_library/issues/185>_)
  * Fix newline issue (#176 <https://github.com/PickNikRobotics/generate_parameter_library/issues/176>)
    * fix new line rendering for Python
  * Support nested mapped parameters (#166 <https://github.com/PickNikRobotics/generate_parameter_library/issues/166>)
  * Contributors: Paul Gesel, Sebastian Castro

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.7-3bookworm) bookworm; urgency=high

  * Split example/README.md into C++ and Python version; updated content (#138 <https://github.com/PickNikRobotics/generate_parameter_library/issues/138>)
  * Contributors: chriseichmann

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 11 Jan 2024 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.6-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.5-3bookworm) bookworm; urgency=high

  * Remove documentation of deprecated validator functions (#135 <https://github.com/PickNikRobotics/generate_parameter_library/issues/135>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.4-3bookworm) bookworm; urgency=high

  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.3-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.2-3bookworm) bookworm; urgency=high

  * Populate Range Constraints in Parameter Descriptors from Validation Functions (#103 <https://github.com/PickNikRobotics/generate_parameter_library/issues/103>)
  * Mark deprecated rsl method and propose alternative in the docs. (#102 <https://github.com/PickNikRobotics/generate_parameter_library/issues/102>)
  * Contributors: Chance Cardona, Dr. Denis

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.1-3bookworm) bookworm; urgency=high

  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 31 Jan 2023 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.3.0-3bookworm) bookworm; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.8-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.7-3bookworm) bookworm; urgency=high

  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.6-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 27 Sep 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.5-3bookworm) bookworm; urgency=high

  * 🈵 Support use of '_' in mapped parameters. (#68 <https://github.com/PickNikRobotics/generate_parameter_library/issues/68>)
  * Component node example (#60 <https://github.com/PickNikRobotics/generate_parameter_library/issues/60>)
  * Update README for example (#63 <https://github.com/PickNikRobotics/generate_parameter_library/issues/63>)
  * 🚀 Add cmake macros for using tests with example yaml files. 🤖 (#57 <https://github.com/PickNikRobotics/generate_parameter_library/issues/57>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Fix example parameters (#54 <https://github.com/PickNikRobotics/generate_parameter_library/issues/54>)
  * Contributors: Denis Štogl, Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 19 Sep 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.4-3bookworm) bookworm; urgency=high

  * INTEGER type (#53 <https://github.com/PickNikRobotics/generate_parameter_library/issues/53>)
  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 18 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.3-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.2-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.1-3bookworm) bookworm; urgency=high

  * Fix scientific notation (#46 <https://github.com/PickNikRobotics/generate_parameter_library/issues/46>)
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library-example (0.2.0-3bookworm) bookworm; urgency=high

  * Create stack allocated struct (#45 <https://github.com/PickNikRobotics/generate_parameter_library/issues/45>)
  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)


=== debian/control ===
Source: ros-humble-generate-parameter-library-example
Section: misc
Priority: optional
Maintainer: Paul Gesel <paul.gesel@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-generate-parameter-library, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-generate-parameter-library-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-core, ros-humble-generate-parameter-library, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-ros-workspace
Description: Example usage of generate_parameter_library.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-generate-parameter-library-example//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-generate-parameter-library-example//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-generate-parameter-library-example//opt/ros/humble/opt/generate_parameter_library_example/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
